Package org.eclipse.team.ui.synchronize

## Class ParticipantPagePane

- java.lang.Object
- - org.eclipse.team.ui.synchronize.ParticipantPagePane

    public final class ParticipantPagePane
    extends Object

Stand alone presentation of a participant page within a view pane. This allows showing a participant page with it's toolbar in dialogs and embedded in views and editors.

Since:
  3.1

### Constructor Summary

Constructors
`ParticipantPagePane​(Shell shell, boolean isModal, ISynchronizePageConfiguration pageConfiguration, ISynchronizeParticipant participant)` Creates a part for the provided participant.

### Method Summary

All Methods Instance Methods Concrete Methods
`Control` `createPartControl​(Composite parent)`
`void` `dispose()`
`ISynchronizePageConfiguration` `getPageConfiguration()` Return the synchronize page configuration for this part
`ISynchronizeParticipant` `getParticipant()` Return the Synchronize participant for this part
`String` `getTitle()`
`Image` `getTitleImage()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ParticipantPagePane

    public ParticipantPagePane​(Shell shell,
                               boolean isModal,
                               ISynchronizePageConfiguration pageConfiguration,
                               ISynchronizeParticipant participant)

Creates a part for the provided participant. The page configuration is used when creating the participant page and the resulting compare/merge panes will be configured with the provided compare configuration.

For example, clients can decide if the user can edit the compare panes by calling `CompareConfiguration.setLeftEditable(boolean)` or `CompareConfiguration.setRightEditable(boolean)`.

Parameters:
  `shell` - the parent shell for this part
  `isModal` - to set the pane as modal or not
  `pageConfiguration` - the configuration that will be provided to the participant prior to creating the page
  `participant` - the participant whose page will be displayed in this part

### Method Detail

#### dispose

    public void dispose()

#### getTitleImage

    public Image getTitleImage()

#### getTitle

    public String getTitle()

#### createPartControl

    public Control createPartControl​(Composite parent)

#### getPageConfiguration

    public ISynchronizePageConfiguration getPageConfiguration()

Return the synchronize page configuration for this part

Returns:
  Returns the pageConfiguration.

#### getParticipant

    public ISynchronizeParticipant getParticipant()

Return the Synchronize participant for this part

Returns:
  Returns the participant.